Bug 445613 - pam_mkhomedir error in pam_vprompt
pam_mkhomedir error in pam_vprompt
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-07 19:28 EDT by Christopher Hailey
Modified: 2015-01-14 18:21 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.22.0-5.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 07:08:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Hailey 2008-05-07 19:28:41 EDT
Description of problem:

pam_mkhomedir fails in pam_vprompt when invoked from a gdm login

Version-Release number of selected component (if applicable):


How reproducible:

From authconfig enable "create home directory" log onto an account without a
home directory - gdm will freeze with empty desktop - errors in
/var/log/messages reveal problem (below)

Additional info:

May  7 17:22:43 vmf9 gconfd (gdm-2893): Exiting
May  7 17:22:43 vmf9 gdm[2922]: ******************* START **********************
************
May  7 17:22:43 vmf9 gdm[2922]: (no debugging symbols found)
May  7 17:22:43 vmf9 gdm[2922]: 0x00110416 in __kernel_vsyscall ()
May  7 17:22:43 vmf9 gdm[2922]: #0  0x00110416 in __kernel_vsyscall ()
May  7 17:22:43 vmf9 gdm[2922]: #1  0x003e17bb in fork () from /lib/libc.so.6
May  7 17:22:43 vmf9 gdm[2922]: #2  0x080510c5 in ?? ()
May  7 17:22:43 vmf9 gdm[2922]: #3  0x080511d4 in ?? ()
May  7 17:22:43 vmf9 gdm[2922]: #4  <signal handler called>
May  7 17:22:43 vmf9 gdm[2922]: #5  0x00110416 in __kernel_vsyscall ()
May  7 17:22:43 vmf9 gdm[2922]: #6  0x00371660 in raise () from /lib/libc.so.6
May  7 17:22:43 vmf9 gdm[2922]: #7  0x00373028 in abort () from /lib/libc.so.6
May  7 17:22:43 vmf9 gdm[2922]: #8  0x00591029 in g_assertion_message () from /l
ib/libglib-2.0.so.0
May  7 17:22:43 vmf9 gdm[2922]: #9  0x005914bd in g_assertion_message_expr () fr
om /lib/libglib-2.0.so.0
May  7 17:22:43 vmf9 gdm[2922]: #10 0x0804cd7c in g_str_equal ()
May  7 17:22:43 vmf9 gdm[2922]: #11 0x0804d369 in g_str_equal ()
May  7 17:22:43 vmf9 gdm[2922]: #12 0x0804d789 in g_str_equal ()
May  7 17:22:43 vmf9 gdm[2922]: #13 0x064bb9ea in pam_vprompt (pamh=0x94f5278, s
tyle=4, response=0x0, 
May  7 17:22:43 vmf9 gdm[2922]:     fmt=0x119644 "Creating directory '%s'.", arg
s=0xbf87f280 " EP\t")
May  7 17:22:43 vmf9 gdm[2922]:     at pam_vprompt.c:83
May  7 17:22:43 vmf9 gdm[2922]: #14 0x064bbb89 in pam_prompt (pamh=0x94f5278, st
yle=4, response=0x0, 
May  7 17:22:43 vmf9 gdm[2922]:     fmt=0x119644 "Creating directory '%s'.") at 
pam_vprompt.c:111
May  7 17:22:43 vmf9 gdm[2922]: #15 0x00118dac in create_homedir (pamh=0x94f5278
, ctrl=<value optimized out>, 
May  7 17:22:43 vmf9 gdm[2922]:     pwd=0x95044f8, source=0x11aa80 "/etc/skel", 
dest=0x9504520 "/home/nguy")
May  7 17:22:43 vmf9 gdm[2922]:     at pam_mkhomedir.c:142
May  7 17:22:43 vmf9 gdm[2922]: #16 0x001194db in pam_sm_open_session (pamh=0x94
f5278, 
May  7 17:22:43 vmf9 gdm[2922]:     flags=<value optimized out>, argc=0, argv=0x
0) at pam_mkhomedir.c:486
Comment 1 Tomas Mraz 2008-05-12 09:07:41 EDT
Can you try logging in from the text console, whether pam_mkhomedir works OK there?
Comment 2 Christopher Hailey 2008-05-12 11:50:22 EDT
Text logins work e.g. ssh, login, su only gdm fails
Comment 3 Tomas Mraz 2008-05-12 12:20:29 EDT
I suppose that there must be something wrong with the PAM conversation function
in gdm then.
Comment 4 Matthias Clasen 2008-05-12 13:23:47 EDT
It seems that in this situation,

gdm-session-worker.c:attempt_to_load_user_settings_as_root

gets called late, at a time when getegid() already returns the users gid, and
then we run into the assertion.
Comment 5 Ray Strode [halfline] 2008-05-12 13:54:13 EDT
this should be square in gdm-2.22.0-5.fc9
Comment 6 Matthias Clasen 2008-05-12 17:37:44 EDT
updated the F9 update to -5
Comment 7 Fedora Update System 2008-05-13 11:27:32 EDT
gdm-2.22.0-5.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gdm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-3761
Comment 8 Bug Zapper 2008-05-14 06:48:22 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Christopher Hailey 2008-05-14 17:39:26 EDT
I was able to install gdm-2.22.0-5.fc9 and verified that this fix works
Comment 10 Fedora Update System 2008-05-21 07:08:27 EDT
gdm-2.22.0-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.